/*z-index
    999 overlay
    1000 modals or popups
    9999 loaders or spinners
*/

/*Loader Overlay Start*/
#overlay {
    display: none;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background: #000000cc;
    z-index: 999;
}
#overlay-loader {
    display: block;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background: #000000cc;
    z-index: 9999;
}
.loader-show {
    margin-top: 50px;
    border: 10px solid #000000;
    border-radius: 50%;
    border-top: 10px solid var(--main-text-color);
    width: 70px;
    height: 70px;
    -webkit-animation: spin 2s linear infinite;
    animation: spin 2s linear infinite;
}
.loader-overlay-show-1 {
    position: absolute;
    top: 50%;
    border: 5px solid transparent;
    border-radius: 50%;
    border-top: 5px solid var(--main-text-color);
    width: 60px;
    height: 60px;
    -webkit-animation: spin-hour 2s linear infinite;
    animation: spin-hour 2s linear infinite;
}
.loader-overlay-show-2 {
    position: absolute;
    top: calc(50% - 10px);
    border: 5px solid transparent;
    border-radius: 50%;
    border-top: 5px solid var(--main-text-color);
    width: 80px;
    height: 80px;
    -webkit-animation: spin 1s linear infinite;
    animation: spin-anti-hour 1s linear infinite;
}
.loader-overlay-show-3 {
    position: absolute;
    top: calc(50% - 20px);
    border: 5px solid transparent;
    border-radius: 50%;
    border-top: 5px solid var(--main-text-color);
    width: 100px;
    height: 100px;
    -webkit-animation: spin-hour 3s linear infinite;
    animation: spin-hour 3s linear infinite;
}
@-webkit-keyframes spin-hour {
    0% {
        -webkit-transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
    }
}
@keyframes spin-hour {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}
@-webkit-keyframes spin-anti-hour {
    0% {
        -webkit-transform: rotate(360deg);
    }
    100% {
        -webkit-transform: rotate(0deg);
    }
}
@keyframes spin-anti-hour {
    0% {
        transform: rotate(360deg);
    }
    100% {
        transform: rotate(0deg);
    }
}
/*Loader Overlay End*/

/* Snackbars Custom Start */
#snackbarOk {visibility: hidden;min-width: 150px;margin-left: -125px;background-color: #000000;color: #ffffff;text-align: center;border: 4px solid #0f0;padding: 15px;position: fixed;z-index: 1000;left: 50%;bottom: 30px;font-size: 20px;}
#snackbarOk.show {visibility: visible;-webkit-animation: fadein 0.5s, fadeout 0.5s 2.5s;animation: fadein 0.5s, fadeout 0.5s 2.5s;}
#snackbarWarning {visibility: hidden;min-width: 150px;margin-left: -125px;background-color: #000000;color: #ffffff;text-align: center;border: 4px solid #ffff00;padding: 15px;position: fixed;z-index: 1000;left: 50%;bottom: 30px;font-size: 20px;}
#snackbarWarning.show {visibility: visible;-webkit-animation: fadein 0.5s, fadeout 0.5s 2.5s;animation: fadein 0.5s, fadeout 0.5s 2.5s;}
#snackbarError {visibility: hidden;min-width: 150px;margin-left: -125px;background-color: #000000;color: #ffffff;text-align: center;border: 4px solid #ff0000;padding: 15px;position: fixed;z-index: 1000;left: 50%;bottom: 30px;font-size: 20px;}
#snackbarError.show {visibility: visible;-webkit-animation: fadein 0.5s, fadeout 0.5s 2.5s;animation: fadein 0.5s, fadeout 0.5s 2.5s;}
@-webkit-keyframes fadein {
    from {
        bottom: 0;
        opacity: 0;
    } to {
        bottom: 30px;
        opacity: 1;
    }
}
@keyframes fadein {
    from {
        bottom: 0;
        opacity: 0;
    } to {
        bottom: 30px;
        opacity: 1;
    }
}
@-webkit-keyframes fadeout {
    from {
        bottom: 30px;
        opacity: 1;
    } to {
        bottom: 0;
        opacity: 0;
    }
}
@keyframes fadeout {
    from {
        bottom: 30px;
        opacity: 1;
    } to {
        bottom: 0;
        opacity: 0;
    }
}
/* Snackbars Custom Start */